## archlinux-keyring 0~20220727

=== Makefile ===
PREFIX ?= /usr/local
KEYRING_TARGET_DIR=$(DESTDIR)$(PREFIX)/share/pacman/keyrings/
KEYRING_FILES=$(wildcard build/*.gpg) $(wildcard build/*-revoked) $(wildcard build/*-trusted)
SOURCES := $(shell find keyring) $(shell find libkeyringctl -name '*.py' -or -type d) keyringctl

all: build

lint:
	black --check --diff keyringctl libkeyringctl tests
	isort --diff .
	flake8 keyringctl libkeyringctl tests
	mypy --install-types --non-interactive keyringctl libkeyringctl tests

fmt:
	black .
	isort .

check:
	./keyringctl -v check

test:
	coverage run
	coverage xml
	coverage report --fail-under=100.0

build: $(SOURCES)
	./keyringctl -v build

clean:
	rm -rf build

install: build
	install -vDm 755 $(KEYRING_FILES) -t $(KEYRING_TARGET_DIR)

uninstall:
	rm -f $(KEYRING_TARGET_DIR)/archlinux{.gpg,-trusted,-revoked}
	rmdir -p --ignore-fail-on-non-empty $(KEYRING_TARGET_DIR)

.PHONY: all lint fmt check test clean install uninstall

=== debian/changelog ===
archlinux-keyring (0~20220727-2) unstable; urgency=low

  * Declare `Multi-Arch: foreign`

 -- Michel Alexandre Salim <michel@michel-slm.name>  Sun, 07 Aug 2022 16:05:36 -0500

archlinux-keyring (0~20220727-1) unstable; urgency=low

  * Update to 20220727

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 27 Jul 2022 16:23:58 -0500

archlinux-keyring (0~20220713-1) unstable; urgency=low

  * Initial release. (Closes: #1016094)

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 26 Jul 2022 14:46:36 -0500

=== debian/control ===
Source: archlinux-keyring
Section: misc
Priority: optional
Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
 sq,
Standards-Version: 4.6.1
Homepage: https://gitlab.archlinux.org/archlinux/archlinux-keyring
Vcs-Browser: https://salsa.debian.org/michel/archlinux-keyring
Vcs-Git: https://salsa.debian.org/michel/archlinux-keyring.git

Package: archlinux-keyring
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Arch Linux PGP keyring
 The archlinux-keyring project holds PGP packet material and tooling
 (keyringctl) to create the distribution keyring for Arch Linux. The keyring is
 used by pacman to establish the web of trust for the packagers of the
 distribution.
 .
 The PGP packets describing the main signing keys can be found below the
 keyring/main directory, while those of the packagers are located below the
 keyring/packager directory.

## archlinux-keyring 0~20220831

=== Makefile ===
PREFIX ?= /usr/local
KEYRING_TARGET_DIR ?= $(PREFIX)/share/pacman/keyrings/
SCRIPT_TARGET_DIR ?= $(PREFIX)/bin/
SYSTEMD_SYSTEM_UNIT_DIR ?= $(shell pkgconf --variable systemd_system_unit_dir systemd)
KEYRING_FILE=archlinux.gpg
KEYRING_REVOKED_FILE=archlinux-revoked
KEYRING_TRUSTED_FILE=archlinux-trusted
WKD_SYNC_SCRIPT=archlinux-keyring-wkd-sync
WKD_SYNC_SERVICE_IN=archlinux-keyring-wkd-sync.service.in
WKD_SYNC_SERVICE=archlinux-keyring-wkd-sync.service
WKD_SYNC_TIMER=archlinux-keyring-wkd-sync.timer
SYSTEMD_TIMER_DIR=$(SYSTEMD_SYSTEM_UNIT_DIR)/timers.target.wants/
SOURCES := $(shell find keyring) $(shell find libkeyringctl -name '*.py' -or -type d) keyringctl

all: build

lint:
	black --check --diff keyringctl libkeyringctl tests
	isort --diff .
	flake8 keyringctl libkeyringctl tests
	mypy --install-types --non-interactive keyringctl libkeyringctl tests

fmt:
	black .
	isort .

check:
	./keyringctl -v check

test:
	coverage run
	coverage xml
	coverage report --fail-under=100.0

build: $(SOURCES)
	./keyringctl -v build

wkd_sync_service: wkd_sync/$(WKD_SYNC_SERVICE_IN)
	sed -e 's|SCRIPT_TARGET_DIR|$(SCRIPT_TARGET_DIR)|' wkd_sync/$(WKD_SYNC_SERVICE_IN) > build/$(WKD_SYNC_SERVICE)

clean:
	rm -rf build

install: build wkd_sync_service
	install -vDm 644 build/{$(KEYRING_FILE),$(KEYRING_REVOKED_FILE),$(KEYRING_TRUSTED_FILE)} -t $(DESTDIR)$(KEYRING_TARGET_DIR)
	install -vDm 755 wkd_sync/$(WKD_SYNC_SCRIPT) -t $(DESTDIR)$(SCRIPT_TARGET_DIR)
	install -vDm 644 build/$(WKD_SYNC_SERVICE) -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)
	install -vDm 644 wkd_sync/$(WKD_SYNC_TIMER) -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)
	install -vdm 755 $(DESTDIR)$(SYSTEMD_TIMER_DIR)
	ln -sv ../$(WKD_SYNC_TIMER) $(DESTDIR)$(SYSTEMD_TIMER_DIR)/$(WKD_SYNC_TIMER)

uninstall:
	rm -fv $(DESTDIR)$(KEYRING_TARGET_DIR)/{$(KEYRING_FILE),$(KEYRING_REVOKED_FILE),$(KEYRING_TRUSTED_FILE)}
	rmdir -pv --ignore-fail-on-non-empty $(DESTDIR)$(KEYRING_TARGET_DIR)
	rm -v $(DESTDIR)$(SCRIPT_TARGET_DIR)/$(WKD_SYNC_SCRIPT)
	rmdir -pv --ignore-fail-on-non-empty $(DESTDIR)$(SCRIPT_TARGET_DIR)
	rm -v $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)/{$(WKD_SYNC_SERVICE),$(WKD_SYNC_TIMER)}
	rmdir -pv --ignore-fail-on-non-empty $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)
	rm -v $(DESTDIR)$(SYSTEMD_TIMER_DIR)/$(WKD_SYNC_TIMER)
	rmdir -pv --ignore-fail-on-non-empty $(DESTDIR)$(SYSTEMD_TIMER_DIR)

.PHONY: all lint fmt check test clean install uninstall

=== debian/changelog ===
archlinux-keyring (0~20220831-1~bpo11+1) bullseye-backports; urgency=low

  * Rebuild for bullseye-backports.

 -- Michel Alexandre Salim <michel@michel-slm.name>  Fri, 09 Sep 2022 15:17:06 -0500

archlinux-keyring (0~20220831-1) unstable; urgency=low

  * Enable CI
  * Add README.Debian for rationale
  * New upstream version 0~20220831

 -- Michel Alexandre Salim <michel@michel-slm.name>  Fri, 09 Sep 2022 14:47:52 -0500

## archlinux-keyring 0~20220927

=== debian/changelog ===
archlinux-keyring (0~20220927-1) unstable; urgency=low

  * New upstream version 0~20220927
  * Drop upstreamed patch to use bash as make's shell
  * Drop unneeded CI tests

 -- Michel Alexandre Salim <michel@michel-slm.name>  Mon, 03 Oct 2022 12:27:57 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ pkgconf,
  python3-all,
  sq,
+ systemd,
 Standards-Version: 4.6.1
 Homepage: https://gitlab.archlinux.org/archlinux/archlinux-keyring
 Vcs-Browser: https://salsa.debian.org/michel/archlinux-keyring

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

# upstream checks are just coverage tests, and require
# python3-coverage with toml support which is not in Debian
override_dh_auto_test:

## archlinux-keyring 0~20221123

=== debian/changelog ===
archlinux-keyring (0~20221123-2) unstable; urgency=low

  * Run checks

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 30 Nov 2022 15:06:40 -0600

archlinux-keyring (0~20221123-1) unstable; urgency=low

  * New upstream version 0~20221123
  * Add lintian overrides

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 29 Nov 2022 17:00:52 -0600

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

# upstream 'make test' just does coverage tests, and requires
# python3-coverage with toml support which is not in Debian
override_dh_auto_test:
	make check

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# GitLab hosted projects.
opts="uversionmangle=s%(.*)%0~$1%" \
    https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/tags \
    archive/v?@ANY_VERSION@/archlinux-keyring-v?\d\S*@ARCHIVE_EXT@

## archlinux-keyring 0~20221220

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
+SHELL = /bin/bash
 PREFIX ?= /usr/local
+BUILD_DIR ?= build
 KEYRING_TARGET_DIR ?= $(PREFIX)/share/pacman/keyrings/
 SCRIPT_TARGET_DIR ?= $(PREFIX)/bin/
 SYSTEMD_SYSTEM_UNIT_DIR ?= $(shell pkgconf --variable systemd_system_unit_dir systemd)
+WKD_FQDN ?= archlinux.org
+WKD_BUILD_DIR ?= $(BUILD_DIR)/wkd
 KEYRING_FILE=archlinux.gpg
 KEYRING_REVOKED_FILE=archlinux-revoked
 KEYRING_TRUSTED_FILE=archlinux-trusted
@@ -33,13 +37,19 @@
 	coverage report --fail-under=100.0
 
 build: $(SOURCES)
-	./keyringctl -v build
+	./keyringctl -v $(BUILD_DIR)
+
+wkd: build
+	sq -f wkd generate -s $(WKD_BUILD_DIR)/ $(WKD_FQDN) $(BUILD_DIR)/$(KEYRING_FILE)
+
+wkd_inspect: wkd
+	for file in $(WKD_BUILD_DIR)/.well-known/openpgpkey/$(WKD_FQDN)/hu/*; do sq inspect $$file; done
 
 wkd_sync_service: wkd_sync/$(WKD_SYNC_SERVICE_IN)
-	sed -e 's|SCRIPT_TARGET_DIR|$(SCRIPT_TARGET_DIR)|' wkd_sync/$(WKD_SYNC_SERVICE_IN) > build/$(WKD_SYNC_SERVICE)
+	sed -e 's|SCRIPT_TARGET_DIR|$(SCRIPT_TARGET_DIR)|' wkd_sync/$(WKD_SYNC_SERVICE_IN) > $(BUILD_DIR)/$(WKD_SYNC_SERVICE)
 
 clean:
-	rm -rf build
+	rm -rf $(BUILD_DIR) $(WKD_BUILD_DIR)
 
 install: build wkd_sync_service
 	install -vDm 644 build/{$(KEYRING_FILE),$(KEYRING_REVOKED_FILE),$(KEYRING_TRUSTED_FILE)} -t $(DESTDIR)$(KEYRING_TARGET_DIR)
@@ -47,7 +57,7 @@
 	install -vDm 644 build/$(WKD_SYNC_SERVICE) -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)
 	install -vDm 644 wkd_sync/$(WKD_SYNC_TIMER) -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)
 	install -vdm 755 $(DESTDIR)$(SYSTEMD_TIMER_DIR)
-	ln -sv ../$(WKD_SYNC_TIMER) $(DESTDIR)$(SYSTEMD_TIMER_DIR)/$(WKD_SYNC_TIMER)
+	ln -fsv ../$(WKD_SYNC_TIMER) $(DESTDIR)$(SYSTEMD_TIMER_DIR)/$(WKD_SYNC_TIMER)
 
 uninstall:
 	rm -fv $(DESTDIR)$(KEYRING_TARGET_DIR)/{$(KEYRING_FILE),$(KEYRING_REVOKED_FILE),$(KEYRING_TRUSTED_FILE)}
@@ -59,4 +69,4 @@
 	rm -v $(DESTDIR)$(SYSTEMD_TIMER_DIR)/$(WKD_SYNC_TIMER)
 	rmdir -pv --ignore-fail-on-non-empty $(DESTDIR)$(SYSTEMD_TIMER_DIR)
 
-.PHONY: all lint fmt check test clean install uninstall
+.PHONY: all lint fmt check test clean install uninstall wkd wkd_inspect

=== debian/changelog ===
archlinux-keyring (0~20221220-2~bpo11+1) bullseye-backports; urgency=low

  * Rebuild for bullseye-backports

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 28 Dec 2022 14:23:26 -0600

archlinux-keyring (0~20221220-2) unstable; urgency=low

  * Update standards version to 4.6.2
  * Add bug tracking info to upstream metadata
  * honor nocheck if passed in DEB_BUILD_OPTIONS

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 20 Dec 2022 12:20:48 -0600

archlinux-keyring (0~20221220-1) unstable; urgency=low

  * New upstream version 0~20221220

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 20 Dec 2022 10:27:57 -0600

archlinux-keyring (0~20221123-2~bpo11+1) bullseye-backports; urgency=low

  * Rebuild for bullseye-backports

 -- Michel Alexandre Salim <michel@michel-slm.name>  Fri, 02 Dec 2022 10:51:49 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  sq,
  systemd,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.archlinux.org/archlinux/archlinux-keyring
 Vcs-Browser: https://salsa.debian.org/michel/archlinux-keyring
 Vcs-Git: https://salsa.debian.org/michel/archlinux-keyring.git

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,6 @@
 # upstream 'make test' just does coverage tests, and requires
 # python3-coverage with toml support which is not in Debian
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make check
+endif

## archlinux-keyring 0~20230130

=== debian/changelog ===
archlinux-keyring (0~20230130-1) unstable; urgency=low

  * New upstream version 0~20230130

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 08 Feb 2023 15:34:07 -0600

## archlinux-keyring 0~20230320

=== debian/changelog ===
archlinux-keyring (0~20230320-1) unstable; urgency=low

  * New upstream version 0~20230320
  * Refresh keyring patch

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 18 Apr 2023 17:04:01 -0500

## archlinux-keyring 0~20230504

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PREFIX ?= /usr/local
 BUILD_DIR ?= build
 KEYRING_TARGET_DIR ?= $(PREFIX)/share/pacman/keyrings/
-SCRIPT_TARGET_DIR ?= $(PREFIX)/bin/
+SCRIPT_TARGET_DIR ?= $(PREFIX)/bin
 SYSTEMD_SYSTEM_UNIT_DIR ?= $(shell pkgconf --variable systemd_system_unit_dir systemd)
 WKD_FQDN ?= archlinux.org
 WKD_BUILD_DIR ?= $(BUILD_DIR)/wkd

=== debian/changelog ===
archlinux-keyring (0~20230504-1) unstable; urgency=low

  * New upstream version 0~20230504

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 21 Jun 2023 11:27:30 -0500

## archlinux-keyring 0~20231113

=== debian/changelog ===
archlinux-keyring (0~20231113-1~deb12u1) bookworm; urgency=low

  * Rebuild for bookworm

 -- Michel Lind <michel@michel-slm.name>  Sat, 09 Dec 2023 14:12:55 -0600

archlinux-keyring (0~20231113-1) unstable; urgency=low

  * Switch to pre-built keyrings
  * New upstream version 0~20231113
  * Adjust debian/* for installing pre-built keyrings

 -- Michel Lind <michel@michel-slm.name>  Tue, 28 Nov 2023 13:40:57 -0800

archlinux-keyring (0~20231017-1) unstable; urgency=low

  * New upstream version 0~20231017

 -- Michel Lind <michel@michel-slm.name>  Fri, 20 Oct 2023 21:37:16 -0700

archlinux-keyring (0~20230918-1) unstable; urgency=low

  * New upstream version 0~20230918
  * Update maintainer name

 -- Michel Lind <michel@michel-slm.name>  Tue, 26 Sep 2023 20:40:11 -0500

archlinux-keyring (0~20230821-1) unstable; urgency=low

  * New upstream version 0~20230821
  * Revert upstream feature that uses sq >= 0.31.0

 -- Michel Alexandre Salim <michel@michel-slm.name>  Thu, 07 Sep 2023 11:18:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: archlinux-keyring
 Section: misc
 Priority: optional
-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
+Maintainer: Michel Lind <michel@michel-slm.name>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- pkgconf,
- python3-all,
- sq,
- systemd,
 Standards-Version: 4.6.2
 Homepage: https://gitlab.archlinux.org/archlinux/archlinux-keyring
 Vcs-Browser: https://salsa.debian.org/michel/archlinux-keyring

## archlinux-keyring 0~20240313

=== debian/changelog ===
archlinux-keyring (0~20240313-1) unstable; urgency=medium

  * New upstream version 0~20240313

 -- Michel Lind <michel@michel-slm.name>  Tue, 19 Mar 2024 14:47:51 -0500

archlinux-keyring (0~20240208-1) unstable; urgency=medium

  * New upstream version 0~20240208

 -- Michel Lind <michel@michel-slm.name>  Wed, 21 Feb 2024 14:07:05 -0600

archlinux-keyring (0~20231222-1) unstable; urgency=low

  * New upstream version 0~20231222

 -- Michel Lind <michel@michel-slm.name>  Thu, 28 Dec 2023 21:15:52 -0600

archlinux-keyring (0~20231207-1) unstable; urgency=low

  * New upstream version 0~20231207

 -- Michel Lind <michel@michel-slm.name>  Sat, 09 Dec 2023 13:55:32 -0600

archlinux-keyring (0~20231130-1) unstable; urgency=low

  * New upstream version 0~20231130
  * Add smoke test to make sure a valid keyring is installed

 -- Michel Lind <michel@michel-slm.name>  Wed, 06 Dec 2023 16:28:56 -0800

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ gpg,
 Description: Arch Linux PGP keyring
  The archlinux-keyring project holds PGP packet material and tooling
  (keyringctl) to create the distribution keyring for Arch Linux. The keyring is

=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,6 @@
 version=4
 
 # GitLab hosted projects.
-opts="uversionmangle=s%(.*)%0~$1%" \
+opts="downloadurlmangle=s%/archive/(\d\S*)/%/releases/\\1/downloads/%,uversionmangle=s%(.*)%0~$1%" \
     https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/tags \
-    archive/v?@ANY_VERSION@/archlinux-keyring-v?\d\S*@ARCHIVE_EXT@
+    archive/v?@ANY_VERSION@/archlinux-keyring-v?\d\S*.tar.gz

## archlinux-keyring 0~20240429

=== debian/changelog ===
archlinux-keyring (0~20240429-1) unstable; urgency=medium

  * Adjust debian/watch due to GitLab changing its tag order
  * Update Standards-Version to 4.7.0
  * New upstream version 0~20240429

 -- Michel Lind <michel@michel-slm.name>  Thu, 02 May 2024 11:40:35 -0500

## archlinux-keyring 0~20240609

=== debian/changelog ===
archlinux-keyring (0~20240609-1) unstable; urgency=medium

  * New upstream version 0~20240609

 -- Michel Lind <michel@michel-slm.name>  Thu, 13 Jun 2024 11:36:35 +0200

## archlinux-keyring 0~20240709

=== debian/changelog ===
archlinux-keyring (0~20240709-1) unstable; urgency=medium

  * New upstream version 0~20240709

 -- Michel Lind <michel@michel-slm.name>  Thu, 11 Jul 2024 10:48:36 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.archlinux.org/archlinux/archlinux-keyring
 Vcs-Browser: https://salsa.debian.org/michel/archlinux-keyring
 Vcs-Git: https://salsa.debian.org/michel/archlinux-keyring.git

## archlinux-keyring 0~20241015

=== debian/changelog ===
archlinux-keyring (0~20241015-1) unstable; urgency=medium

  * New upstream version 0~20241015

 -- Michel Lind <michel@michel-slm.name>  Wed, 23 Oct 2024 21:23:11 -0500

## archlinux-keyring 0~20241203

=== debian/changelog ===
archlinux-keyring (0~20241203-1) unstable; urgency=medium

  * New upstream version 0~20241203

 -- Michel Lind <michel@michel-slm.name>  Fri, 20 Dec 2024 17:37:59 -0600

## archlinux-keyring 0~20250123

=== debian/changelog ===
archlinux-keyring (0~20250123-1) unstable; urgency=medium

  * New upstream version 0~20250123

 -- Michel Lind <michel@michel-slm.name>  Mon, 27 Jan 2025 11:57:13 +0100

## archlinux-keyring 0~20250430

=== debian/changelog ===
archlinux-keyring (0~20250430-1) unstable; urgency=medium

  * New upstream version 0~20250430
  * Update standards version to 4.7.2

 -- Michel Lind <michel@michel-slm.name>  Wed, 14 May 2025 17:18:30 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.archlinux.org/archlinux/archlinux-keyring
 Vcs-Browser: https://salsa.debian.org/michel/archlinux-keyring
 Vcs-Git: https://salsa.debian.org/michel/archlinux-keyring.git

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# can add pgpmode=auto later but the problem is there are multiple signing keys:
# https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/tree/master/keyring/main
opts="searchmode=plain,downloadurlmangle=s!api/v4/projects/archlinux%2Farchlinux-keyring/releases!archlinux/archlinux-keyring/!,uversionmangle=s%(.*)%0~$1%" \
    https://gitlab.archlinux.org/api/v4/projects/archlinux%2Farchlinux-keyring/releases \
    -/releases/[\d]+/downloads/archlinux-keyring-([\d]+)\.tar\.gz

## archlinux-keyring 0~20250716

=== debian/changelog ===
archlinux-keyring (0~20250716-1) unstable; urgency=medium

  * Add gbp.conf
  * New upstream version 0~20250716

 -- Michel Lind <michel@michel-slm.name>  Thu, 17 Jul 2025 20:41:09 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/archlinux-keyring/usr/share/keyrings/
	install -vDm 644 archlinux.gpg archlinux-revoked archlinux-trusted -t debian/archlinux-keyring/usr/share/keyrings/

## archlinux-keyring 0~20251116

=== debian/changelog ===
archlinux-keyring (0~20251116-1) unstable; urgency=medium

  * New upstream version 0~20251116
  * Fix debian/watch to also set dversionmangle and upgrade to v5

 -- Michel Lind <michel@michel-slm.name>  Thu, 04 Dec 2025 16:56:39 +0000

=== debian/watch ===
Version: 5

# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format.
# Compulsory line, this is a version 4 file.
# can add pgpmode=auto later but the problem is there are multiple signing keys:
# https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/tree/master/keyring/main
Source: https://gitlab.archlinux.org/api/v4/projects/archlinux%2Farchlinux-keyring/releases
Matching-Pattern: -/releases/[\d]+/downloads/archlinux-keyring-([\d]+)\.tar\.gz
Downloadurlmangle: s!api/v4/projects/archlinux%2Farchlinux-keyring/releases!archlinux/archlinux-keyring/!
Dversionmangle: s%0~%%
Searchmode: plain
Uversionmangle: s%(.*)%0~$1%
